> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 会社概要

<ResponseExample>
  ```json レスポンス (200 OK) theme={null}
  {
    "result": [
      {
        "company": {
          "primarySymbol": "AAPL",
          "primaryExchange": "NAS",
          "cik": "320193",
          "isin": "CA03785Y1007",
          "cusip": "03785Y100",
          "standardName": "Apple",
          "countryId": "USA",
          "isReit": false,
          "industryTemplateCode": "N",
          "businessCountryId": "USA",
          "isLimitedPartnership": false,
          "yearofEstablishment": 1977,
          "isLimitedLiabilityCompany": false
        },
        "companyProfile": {
          "companyStatus": "U",
          "countryId": "USA",
          "fiscalYearEnd": "9",
          "shortName": "Apple",
          "standardName": "Apple Inc",
          "address1": "One Apple Park Way",
          "city": "Cupertino",
          "country": "USA",
          "fax": "+1 408 974-2483",
          "homepage": "https://www.apple.com",
          "phone": "+1 408 996-1010",
          "postalCode": "95014",
          "province": "CA",
          "totalEmployees": 166000,
          "legalName": "Apple Inc",
          "longDescription": "Apple は世界最大級の企業の一つであり、消費者および法人を対象とした広範なハードウェアおよびソフトウェア製品のポートフォリオを有しています。Apple の iPhone は同社売上の大部分を占めており、Mac、iPad、Watch などその他の Apple 製品は、広がりのあるソフトウェアエコシステムの中心となる iPhone を軸に設計されています。Apple は、動画ストリーミング、サブスクリプションバンドル、拡張現実といった新たなアプリケーションを継続的に追加してきました。同社は自社でソフトウェアと半導体を設計しつつ、Foxconn や TSMC などの下請け企業と連携して製品およびチップを製造しています。Apple の売上の約半分弱は旗艦店を通じた直接販売によるものであり、残りの大部分はパートナーシップや流通網を通じた間接販売からもたらされています。"
        },
        "symbol": "AAPL",
        "idType": "SYMBOL",
        "id": "AAPL"
      }
    ]
  }
  ```

  ```json レスポンス (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "認証トークンが無効であるか、指定されていません"
      }
    ]
  }
  ```

  ```json レスポンス (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "指定されたパラメータに対するデータが見つかりません"
      }
    ]
  }
  ```

  ```json レスポンス (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "リクエストの処理中に予期しないエラーが発生しました"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ja/openapi/data-api-proxy.spec.yml GET /api/v2.1/fundamentals/companyProfile
openapi: 3.0.0
info:
  contact: {}
  description: >-
    توفّر واجهة برمجة التطبيقات REST هذه نقاط نهاية للبحث في الأساسيات المالية
    والحصول على تفاصيلها.
  termsOfService: http://swagger.io/terms/
  title: Data API Proxy
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2.1/fundamentals/companyProfile:
    get:
      tags:
        - Fundamentals
      summary: معلومات الملف التعريفي للشركة V2.1
      description: >-
        يسترجع معلومات شاملة عن الملف التعريفي للشركة، بما في ذلك وصف الأعمال،
        وتصنيف الصناعة، وتفاصيل القطاع، وموقع المقر الرئيسي، وكبار التنفيذيين،
        وغيرها من البيانات الوصفية المؤسسية. ضروري لفهم خلفية الشركة وبنيتها
        التنظيمية.
      operationId: get-company-profile-v21
      parameters:
        - description: >-
            قائمة من رموز تداول الأسهم مفصولة بفواصل (على سبيل المثال:
            AAPL,MSFT,GOOGL). مطلوب.
          in: query
          name: symbols
          required: true
          schema:
            type: string
        - description: >-
            تصفية النتائج للتواريخ في هذا التاريخ أو بعده. التنسيق: YYYY-MM-DD
            (مثلًا، 2024-01-01)
          in: query
          name: asOf
          schema:
            type: string
        - description: >-
            عامل تصفية للفترة الخاصة بفترات التقارير المالية. القيم المدعومة:
            Q1, Q2, Q3, Q4 (أرباع السنة)، FY (السنة المالية)، TTM (الاثنا عشر
            شهرًا الأخيرة)
          in: query
          name: period
          schema:
            type: string
        - description: >-
            نوع التقرير المالي. القيم المسموح بها: TTM (آخر اثني عشر شهرًا)، A
            (كما أُبلغ عنها في الأصل)، R (القيم المُعاد بيانها)، P (الإعلانات
            الأولية)
          in: query
          name: reportType
          schema:
            type: string
      responses:
        '200':
          description: بيانات ملف الشركة
          content:
            application/json:
              schema:
                type: object
        '400':
          description: طلب غير صالح - معامل «الرموز» مفقود أو غير صالح
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
        '500':
          description: خطأ داخلي في الخادم
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bzhttp.Resp'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    bzhttp.Resp:
      properties:
        data:
          additionalProperties: true
          type: object
        errors:
          items:
            $ref: '#/components/schemas/bzhttp.Error'
          type: array
        ok:
          type: boolean
      type: object
    bzhttp.Error:
      properties:
        code:
          $ref: '#/components/schemas/bzhttp.ErrorCode'
        id:
          type: string
        value:
          type: string
      type: object
    bzhttp.ErrorCode:
      enum:
        - json_unmarshaling_error
        - no_data_found
        - no_matching_endpoint
        - bad_request
        - db_error
        - internal_server_error
        - auth_failed
        - forbidden
        - failed_dependency
        - service_unavailable
        - upstream_api_error
        - unsupported_message_type
        - database_query_error
      type: string
      x-enum-varnames:
        - ErrorJSONUnmarshaling
        - ErrorNoDataFound
        - ErrorNoMatchingEndpoint
        - ErrorBadRequest
        - ErrorDBError
        - ErrorInternalServerError
        - ErrorAuthFailed
        - ErrorForbidden
        - ErrorFailedDependency
        - ErrorServiceUnavailable
        - ErrorUpstreamAPIError
        - ErrorUnsupportedMessageType
        - ErrorDBQueryError
  securitySchemes:
    ApiKeyAuth:
      in: query
      name: token
      type: apiKey

````